Subject: Re: [amos-list] Re: TCP commands.
From: Peter Cahill <[email-masked]>
To: [email-masked]
Date: Tue, 17 Aug 1999 19:06:08 +0100

From: Peter Cahill <[email-masked]>

Andrew Crowe wrote:
> 
> From: Andrew Crowe <[email-masked]>
> 
> Hi Everybody,
> 
Hello!
> > the coordinates 50 and 90 can be their ASCII equivalent.. the chr$(50) is
> > the char 2 and the chr$(90) is the letter Z so:
> >
> > M2Z (3 bytes!)
> >
> > can be interpreted as MOVE 50,90
> 
>    But what about characters under 32 or over 128? Would these show up, or be scrubbed by the irc server?
> 
>    Anyway, I'm still pretty sure that using IRC will be too slow, as I think I'd have to send about 15-20 packets between computers per update, but ok ok, I'll give it a shot.

iRC will be WAY to slow!
It normally has a 3second lag!

But, Ive got a better idea :)
You could run it through the partyline in #amos!!!
(its on my new bot "Karma" in #amos)

once in the partyline, everything is taken off the irc servers,
and it is handled directly by the bot, which is running on a
damn fast server. It runs just like a mini irc server, appart
from theres no lag at all.

To use it, you will need to log on to irc as normal, you dont
need to join channels or anything, just dcc chat with the bot,
and when you are speaking to the bot, via dcc chat, it sends the
message to everyone else who is dcc chatting to it. You should
get a quite fast speed through it. It will definately be
faster than irc. At the moment, the partyline is fully
functional appart from atm, it doesnt let you upload
files onto it, cos I dont want people to fill my hd
with files :) But you wont need that unless your putting
a autoupdate jamesbond thing in it :)

cya,
-- 

                            .           .���.
                        ���������������.:   :
                       :         .-----------.
                   Author of TGE |/�         |�����������.
                       :      / \|           | Author of :
                     .-------//� \         .-| ENViSAGE  :
                  .��| /� __/     \          |�����������'
                  `��|   (_/       \         |�������.
                     |    /         \        |       :
                     |   /______|____\-------'       :
                     |   |email : [email-masked]     :
                     `---'          :  :             :
                       :            :  `�������������'
                       `������������'

--------------------------- ONElist Sponsor ----------------------------

Show your ONElist SPIRIT!
http://www.onelist.com/store/tshirts.html
With a new ONElist SHIRT available through our website.

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html